<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

/**
 * The Header for Absolute Weaver
 *
 * Displays all of the <head> section and everything up till < div id="container" >
 *
 *  >>>> DO NOT EDIT THIS FILE <<<<
 *
 * Warning! DO NOT EDIT THIS FILE, or any other theme file! If you edit ANY theme
 * file, all your changes will be LOST when you update the theme to a newer version.
 * Instead, if you need to change theme functionality, CREATE A CHILD THEME!
 *
 *  >>>> DO NOT EDIT THIS FILE <<<<
 */

function absolute_weaver_header() {

    if ( ! isset( $GLOBALS['absolute_weaver_page_who'] ) ) {
		$GLOBALS['absolute_weaver_page_who'] = 'unknown';
	}
	do_action( 'absolute_weaver_alt_theme', $GLOBALS['absolute_weaver_page_who'] );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>"/>
	<?php
	/* use full horizontal size on iPad */
	echo "<meta name='viewport' content='width=device-width,initial-scale=1.0' />\n";
	?>

	<link rel="profile" href="//gmpg.org/xfn/11"/>
	<link rel="pingback" href="<?php esc_url( get_bloginfo( 'pingback_url' ) ); ?>"/>

	<?php

	do_action( 'absolute_weaver_load_fonts' );       // load google fonts

	do_action( 'absolute_weaver_plus_action', 'head' ); // stuff like other style files...

	wp_head();
	?>
</head>

<body <?php body_class();?>>

<a href="#page-bottom" id="page-top">&darr;</a> <!-- add custom CSS to use this page-bottom link -->
<div id="wvrx-page-width">&nbsp;</div>
<!--googleoff: all-->
<noscript><p style="border:1px solid red;font-size:14px;background-color:pink;padding:5px;margin-left:auto;margin-right:auto;max-width:640px;text-align:center;">
		<?php esc_html_e( 'JAVASCRIPT IS DISABLED. Please enable JavaScript on your browser to best view this site.', 'absolute-weaver' /*adm*/ ); ?></p></noscript>
<!--googleon: all--><!-- displayed only if JavaScript disabled -->
<?php
	do_action( 'absolute_weaver_plus_action', 'body_top' ); // mostly for the loading screen


	absolute_weaver_area_div( 'wrapper' );


/* header layout:
 * #header
 *    #top-menu
 *    #branding
 *        #site-title
 *        #site-tagline
 *    #header-html
 *    #header-widget-area
 *    #bottom-menu
 */

	absolute_weaver_clear_both( 'preheader' );
	absolute_weaver_header_widget_area( 'pre_header' );

	$hdr_class = absolute_weaver_getopt_default( 'header_image_render', 'header-as-img' ) . ' ';

	absolute_weaver_area_div( 'header', $hdr_class );      // <div id='header'>

/*if ( false && absolute_weaver_getopt('site_layout') == 'fullwidth') { // put menus outside of inside block for fullwidth layout
	do_action('absolute_weaver_nav', 'top');                // menus at top
}*/
	echo '<div id="header-inside" class="block-inside">';

	if ( apply_filters( 'absolute_weaver_replace_pb_area', 'header' ) == 'header' ) {

		do_action( 'absolute_weaver_nav', 'top' );                // menus at top


		/* ======== HEADER WIDGET AREA ======== */
		absolute_weaver_header_widget_area( 'top' );           // show header widget area if set to this position

		echo '<header id="branding"'; echo ">\n";

		/* ======== SITE LOGO and TITLE ======== */

		$title_over_image = absolute_weaver_logo_and_title();       // see if move title over image

		absolute_weaver_header_widget_area( 'before_header' );           // show header widget area if set to this position


		/* ======== HEADER IMAGE ======== */

		absolute_weaver_header_image();             // header image

		if ( $title_over_image ) {
			echo '</div><!--/#title-over-image -->' . "\n";
		}

		absolute_weaver_header_widget_area( 'after_header' );           // show header widget area if set to this position

		do_action('absolute_weaver_header_html');

		/* ======== WIDGET AREA ======== */


		absolute_weaver_header_widget_area( 'after_html' );           // show header widget area if set to this position

		do_action( 'absolute_weaver_plus_action', 'header_area_bottom' );

		absolute_weaver_clear_both( 'branding' );

		?>
		</header><!-- #branding -->
		<?php

		/* ======== BOTTOM MENU ======== */
		do_action( 'absolute_weaver_nav', 'bottom' );                // menus at bottom
		absolute_weaver_header_widget_area( 'after_menu' );           // show header widget area if set to this positio


	} // no header area replacement

	echo "\n</div></div><div class='clear-header-end clear-both'></div><!-- #header-inside,#header -->\n";

	absolute_weaver_header_widget_area( 'post_header' );
	do_action( 'absolute_weaver_post_header' );

}

absolute_weaver_header();



//--

// ------------------------------------------------------------------------------------
function absolute_weaver_header_image() {

// this is a function party because it is complicated, and partly to be able to use return to end logic.

$h_hide = absolute_weaver_getopt_default( 'hide_header_image', 'hide-none' ); // stuff depends on hide attribute

// really hide - don't need to have device download the image
$really_hide = ( $h_hide == 'hide' || ( absolute_weaver_getopt( 'hide_header_image_front' ) && is_front_page() ) );

if ( $really_hide ) { // don't bother if hide header image
	echo '<div id="header-image" class="hide"></div>';  // place holder

	return;
}

// build #header classes

$img_class = 'header-image ';
if ( $h_hide != 'hide-none' && $h_hide != 'hide' ) {
	$img_class .= $h_hide . ' ';
}

if ( absolute_weaver_getopt_expand( 'expand_header-image' ) ) {
	$img_class .= 'wvrx-expand-full ';
}

$full_wide = absolute_weaver_getopt( 'header_image_align' );
if ( $full_wide == 'alignfull' || $full_wide == 'alignwide' )   // this will override other stuff
{
	$img_class .= $full_wide . ' ';
}

$page_type = ( is_single() ) ? 'post' : 'page';

$hdr_bg = absolute_weaver_fi( $page_type, 'header-image' );

$hdr_type = ( $hdr_bg ) ? 'fi' : 'std';

$img_class .= 'header-image-type-' . $hdr_type;

echo '<div id="header-image" class="' . esc_attr( $img_class ) . '">';

// Check different ways to display a header:
// 0. Archive type page - including search
// 1. As HTML replacement, possibly with regular image as BG header image
// 2. As Standard or FI BG replacement
// 3. As FI Replacement
// 4. As standard Image


// HTML replacement
$hdr_html = '';

if ( ! $hdr_bg ) {       // FI as header replacement has priority

	$hdr_html = absolute_weaver_getopt( 'header_image_html_text' );
	if ( $hdr_html && absolute_weaver_getopt( 'header_image_html_home_only' ) && ! is_front_page() )    // only on global, not per page/post
	{
		$hdr_html = '';
	}     // make empty so will pickup the standard header

	if ( $hdr_html ) {                    // custom header html replacement overrides all other header image options
		echo do_shortcode( wp_kses_post( $hdr_html ) );   // output the html
	}
}

// As Standard or FI BG replacement

if ( absolute_weaver_getopt_default( 'header_image_render', 'header-as-img' ) != 'header-as-img'   // use as BG image?
     && ( ! $hdr_html || absolute_weaver_getopt( 'header_image_html_plus_bg' ) ) ) { // have bg, or have BOTH HTML and bg image?

	if ( ! $hdr_bg ) {
		$hdr_bg = get_header_image();       // get the url of the standard header image
	}

	$hdr_bg = esc_url( str_replace( array( 'http://', 'https://' ), '//', $hdr_bg ) );

	// have to emit background-image url... this will be Plus only.
	if ( strlen( $hdr_bg ) > 1 ) {
		$style = "\n<style type='text/css'>";

		if ( $h_hide != 'hide' ) {
			$style .= "#header{background-image:url({$hdr_bg});}";
		}

		// handle hide on devices

		if ( strpos( $h_hide, 's-hide' ) !== false ) {
			$style .= '.is-phone #header{background-image:none;}';
		}
		if ( strpos( $h_hide, 'm-hide' ) !== false ) {
			$style .= '.is-tablet #header{background-image:none;}';
		}
		if ( strpos( $h_hide, 'l-hide' ) !== false ) {
			$style .= '.is-desktop #header{background-image:none;}';
		}
		$style .= "</style>\n";
		absolute_weaver_echo_sanitized_html( $style, 'header.php' );

	}
	echo '<div class="clear-header-image" style="clear:both"></div></div><!-- #header-image -->';

	return;

} // end of bg image handling

if ( $hdr_html ) {
	echo( "\n</div><!-- #header-image + HTML -->\n" );

	return;
}

// Most common case now - either FI replacement, or standard header image
// to here, then want to get an image. Where does it come from?

if ( absolute_weaver_getopt( 'link_site_image' ) ) {
?><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php
	}

	if ( absolute_weaver_fi( $page_type, 'header-image' ) ) {           // Use FI as header image

		$alt = get_bloginfo( 'name', 'display' );
		the_post_thumbnail( 'full', array( 'alt' => esc_attr( $alt ), 'class' => 'wvrx-header-image' ) );

	} elseif ( absolute_weaver_getopt( 'header_actual_size' ) ) {
		?>
		<img src="<?php echo esc_url( get_header_image() ) ?>" width="<?php echo esc_attr( get_custom_header()->width ); ?>" class="wvrx-header-image" height="<?php echo esc_attr( get_custom_header()->height ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"/>
		<?php
	} else {
		the_header_image_tag();
	}

	if ( absolute_weaver_getopt( 'link_site_image' ) )  // need to close <a> tag?
		echo '</a>';


	echo "\n</div><!-- #header-image -->\n";

	// end of header image code
	}
	//--


	function absolute_weaver_logo_and_title() {
	// generate output to show logo and the title

	$title_over_image = absolute_weaver_getopt( 'title_over_image' )
	                    && ( absolute_weaver_getopt_default( 'header_image_render', 'header-as-img' ) == 'header-as-img'
	                         || absolute_weaver_getopt( 'header_image_html_plus_bg' ) );

	if ( $title_over_image ) {
		echo '<div id="title-over-image">' . "\n";
	}

	$h_class = '';

	if ( absolute_weaver_getopt( 'hide_site_title' ) != 'hide-none' ) {
		$h_class = absolute_weaver_getopt( 'hide_site_title' );
	}

	$t_class = '';
	if ( absolute_weaver_getopt( 'site_title_add_class' ) != 'hide-none' ) {
		$t_class .= ' ' . absolute_weaver_getopt( 'site_title_add_class' );
	}

	if ( absolute_weaver_getopt( 'expand_site_title' ) ) {
		$t_class .= ' wvrx-expand-full';
	}

	echo "    <div id='title-tagline' class='clearfix" . esc_attr( $t_class ) . "'>\n";

	$logo = absolute_weaver_getopt( '_site_logo' );

	$hide_logo = absolute_weaver_getopt( '_hide_site_logo' );

	$the_logo = absolute_weaver_get_wp_custom_logo();

	if ( $the_logo ) {
		$hide_wp_logo = absolute_weaver_getopt( 'hide_wp_site_logo' );
		$the_logo = str_replace( 'custom-logo-link', 'custom-logo-link ' . $hide_wp_logo, $the_logo );      // fixup hide
	}

	$title = apply_filters( 'absolute_weaver_site_title', esc_html( get_bloginfo( 'name', 'display' ) ) );

	$title_text = $title;

	if ( strlen( $the_logo ) > 0 ) {                               // there is a logo - what to do...
		if ( absolute_weaver_getopt( 'wplogo_for_title' ) ) {
			$title_text = '<img class="site-title-logo" src="' . absolute_weaver_get_wp_custom_logo_url() . '" alt="' . $title . '" />';
			// note: $title_text gets escaped/filtered when it is actually echoed a few lines down from here...
		} else {
			echo "\n" . wp_kses_post( $the_logo ) . "\n";
		}
	}

	?>
	<h1 id="site-title" class="<?php echo esc_attr( absolute_weaver_title_class( 'site_title', true, $h_class ) ); ?>"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( $title ); ?>" rel="home">
			<?php echo esc_html( $title_text ); ?></a></h1>

	<?php
	/* ======== SEARCH BOX ======== */
	$hide_search = absolute_weaver_getopt( 'header_search_hide' );
	if ( $hide_search != 'hide' ) { ?>
		<div id="header-search" class="<?php echo esc_attr( $hide_search ); ?>"><?php get_search_form(); ?></div><?php
	}
	$hide_tag = absolute_weaver_getopt( 'hide_site_tagline' );

	$tagline = apply_filters( 'absolute_weaver_tagline', esc_html( get_bloginfo( 'description' ) ) );

	?>
	<h2 id="site-tagline" class="<?php echo esc_attr( $hide_tag ); ?>"><span<?php echo esc_attr( absolute_weaver_title_class( 'tagline' ) ); ?>><?php echo esc_html( $tagline ); ?></span></h2>
	<?php if ( $logo ) { ?>
	<div id="site-logo" class="site-logo <?php echo esc_attr( $hide_logo ); ?>"><?php echo esc_url( $logo ); ?></div>
<?php }

		get_template_part( 'template-parts/menu', 'header-mini' );

echo "    </div><!-- /.title-tagline -->\n";


return $title_over_image;   // indicator that needs the closing div after the header image itself
}
