<?php
/* This loads the Admin stuff. It is invoked from functions.php.
 */

if ( current_user_can( 'edit_posts' ) ) {

	add_action( 'admin_menu', 'absolute_weaver_add_admin_action', 5 );

	absolute_weaver_load_admin_aux();

	if ( ! has_action( 'absolute_weaver_load_customizer' ) ) {

		add_action( 'absolute_weaver_load_customizer', 'absolute_weaver_load_customizer_action' );

		function absolute_weaver_load_customizer_action() {

			require_once( get_template_directory() . ABSOLUTE_WEAVER_ADMIN_DIR . '/customizer/load-customizer.php' ); // start by loading customizer features ( Not a template file )
		}

	}
}

// action definition
function absolute_weaver_add_admin_action() {

	$cur_vers = absolute_weaver_wp_version();

	if ( version_compare( $cur_vers, ABSOLUTE_WEAVER_MIN_WPVERSION, '<' ) ) {
		absolute_weaver_alert( esc_html__( 'ERROR: You are using WordPress Version ', 'absolute-weaver' ) . esc_html( $cur_vers ) .
		                       esc_html__( ' Absolute Weaver requires WordPress Version ', 'absolute-weaver' ) . esc_html( ABSOLUTE_WEAVER_MIN_WPVERSION ) .
		                       esc_html__( 'or above. You should always upgrade to the latest version of WordPress for maximum site performance and security.', 'absolute-weaver' ) );    // admin message

		do_action( 'absolute_weaver_plus_add_admin' );
	}
}

function absolute_weaver_wp_version() {
	$wp_vers = $GLOBALS['wp_version'];
	$cur_vers = $wp_vers;
	$beta = strpos( $cur_vers, '-' );
	if ( $beta > 0 ) {
		$cur_vers = substr( $cur_vers, 0, $beta );    // strip the beta part if there
	}

	return $cur_vers;
}

//--

// END IF CAN EDIT POSTS ---------------------------------------------------------------------

function absolute_weaver_load_admin_aux() {

	// Add meta-blocks to page and post editor views

	if ( current_user_can( 'edit_posts' ) ) { // allows only admin to see, also avoids loading at runtime
		require_once( get_template_directory() . ABSOLUTE_WEAVER_ADMIN_DIR . '/admin-core/admin-page-posts.php' );    // per page-posts admin ( Not a template file )
	}
}


