<?php

/**
 * Define the sections and settings for the General panel
 */
function absolute_weaver_customizer_define_general_sections() {
	$panel = 'absolute_weaver_general';
	$general_sections = array();
	global $wp_customize;


	/**
	 * Site Title & Tagline ( Site Identity now )
	 *
	 * This is a built-in section.
	 */

	$section_id = 'title_tagline';
	$section = $wp_customize->get_section( $section_id );

	// Move Site Title & Tagline section to General panel
	$section->panel = $panel;

	// Set Site Title & Tagline section priority
	$section->priority = 10;

	// Reset priorities on Site Title control
	//$wp_customize->get_control( 'blogname' )->priority = 12;

	// Reset priorities on Tagline control
	//$wp_customize->get_control( 'blogdescription' )->priority = 14;


	/**
	 * Static Front Page
	 */

	$section_id = 'static_front_page';
	$section = $wp_customize->get_section( $section_id );

	// Bail if the section isn't registered
	if ( is_object( $section ) && 'WP_Customize_Section' === get_class( $section ) ) {

		$section->panel = $panel;    // Move Static Front Page section to General panel

		$section->priority = 16;    // Set Static Front Page section priority
	}


	// add our own stuff....

	$general_sections['general_admin'] = array(
		'panel'   => $panel,
		'title'   => esc_html__( 'Admin', 'absolute-weaver' ),
		'options' => array(


			'_print_show_widgets' => absolute_weaver_cz_checkbox(
				__( 'Include Widget Areas in Print', 'absolute-weaver' ),
				__( 'Include all widget areas and full Footer content on browser Print page operation. &diams;', 'absolute-weaver' ),
				'',
				'postMessage'
			),


			'_sitemap_exclude_pages' => absolute_weaver_cz_htmlarea(
				__( 'Exclude Pages from SiteMap', 'absolute-weaver' ),
				__( 'You can specify a comma separated list of Page IDs to be excluded from the SiteMap Page list. To exclude pages from Search results, use a plugin such as "Search Exclude". You can hide different sections of the SiteMap by adding rules to the "Custom CSS Rules" box. To hide authors, for example, add the rule <code>#sitemap-authors{display:none;}</code>. The IDs for the SiteMap sections are: <code>#sitemap-pages, #sitemap-posts, #sitemap-categories, #sitemap-tags, #sitemap-authors</code>. &diams;', 'absolute-weaver' ),
				'2',
				__( 'Comma separated list of Page IDs', 'absolute-weaver' )
			),


			'_hide_donate' => absolute_weaver_cz_checkbox_post(
				__( "I've Donated", 'absolute-weaver' ),
				__( 'Thank you for donating to the Absolute Weaver theme. This will hide the Donate button. Purchasing Absolute Weaver Plus also hides the Donate button. &diams;', 'absolute-weaver' )
			),


			'_hide_editor_style' => absolute_weaver_cz_checkbox_post(
				__( 'Disable Page/Post Editor Styling', 'absolute-weaver' ),
				__( 'Disable the Absolute Weaver theme based styling in the Page/Post editor. If you have a theme using transparent backgrounds, this option will likely improve the Post/Page editor visibility. &diams;', 'absolute-weaver' )
			),

			'general_admin-roles' => absolute_weaver_cz_group_title( __( 'Per Page and Per Post Option Panels', 'absolute-weaver' ),
				__( 'Control when Per Page and Per Post options are displayed. Single site Administrator and Multi-Site Super Administrator will always have the Per Page and Per Post options panel displayed.
You may selectively disable these options for other User Roles using the check boxes below.', 'absolute-weaver' ) ),

			'_hide_mu_admin_per' => absolute_weaver_cz_checkbox(
				__( 'Hide Per Page/Post Options for MultiSite Admins &diams;', 'absolute-weaver' )
			),


			'_hide_editor_per' => absolute_weaver_cz_checkbox(
				__( 'Hide Per Page/Post Options for Editors &diams;', 'absolute-weaver' )
			),

			'_hide_author_per' => absolute_weaver_cz_checkbox(
				__( 'Hide Per Page/Post Options for Authors and Contributors &diams;', 'absolute-weaver' )
			),

			'_show_per_post_all' => absolute_weaver_cz_checkbox(
				__( 'Show Per Post Options for Custom Post Types &diams;', 'absolute-weaver' )
			),

			'general_admin-names' => absolute_weaver_cz_group_title( __( 'Theme Name and Description', 'absolute-weaver' ),
				__( 'To help you manage your own subtheme design, you can change the name and description of your current settings if you would like to create a new theme theme file for sharing with others, or for you own identification. This information is not included in the visitor view of your site.', 'absolute-weaver' ) ),

			'themename' => absolute_weaver_cz_textarea(
				__( 'Theme Name', 'absolute-weaver' ),
				'',
				'1',
				__( 'Theme Name', 'absolute-weaver' ) ),

			'theme_description' => absolute_weaver_cz_textarea(
				__( 'Theme Description', 'absolute-weaver' ),
				'',
				'1',
				__( 'A description of the theme.', 'absolute-weaver' )
			),

			'subtheme_notes' => absolute_weaver_cz_textarea(
				__( 'Subtheme Notes', 'absolute-weaver' ),
				__( 'This box may be used to keep notes and instructions about settings made for a custom subtheme.', 'absolute-weaver' ),
				'2',
				__( 'Theme Notes', 'absolute-weaver' )
			),
		),
	);

	$general_sections['general_save_settings'] = array(
		'panel'       => $panel,
		'title'       => esc_html__( 'Save / Restore Settings', 'absolute-weaver' ),
		'description' => esc_html__( 'You can save and restore your settings to your own computer with these options.', 'absolute-weaver' ),

		'options' => array(

			'save_settings' => array(
				'setting' => array(
					'transport' => 'postMessage',
				),
				'control' => array(
					'control_type' => 'Absolute_Weaver_Save_WV_Settings',
					'label'        => __( 'Save Current Theme Settings to your Computer', 'absolute-weaver' ),
					'description'  => __( 'You can download the current theme settings to a file on your computer.
**IMPORTANT NOTE:** If you have not "Saved" your options yet, you will get a notice
asking if you want to leave this page or stay. If you leave, you will not save the most recent changes.', 'absolute-weaver' ),
				),
			),


			'restore_settings' => array(
				'setting' => array(
					'transport' => 'postMessage',
				),
				'control' => array(
					'control_type' => 'Absolute_Weaver_Restore_WV_Settings',
					'label'        => __( 'Restore settings from file on your computer', 'absolute-weaver' ),
					'description'  => __( 'You can restore the saved theme settings from a file on your computer.
Select a theme <em>.wxt</em>, backup <em>.wxb</em>,  <em>.json</em> file to upload, then click the Upload.
<ul>
<li>&bull; A <em>.json</em> file will reset theme related or all settings depending on how it was saved.</li>
<li>&bull; A <em>.wxt</em> theme file will restore only theme settings, leaving &diams; settings intact.</li>
<li>&bull; A <em>.wxb</em> backup file will reset all settings.</li>
</ul>', 'absolute-weaver' ),
				),
			),
		),
	);


	// Merge with master array
	return $general_sections;
}
