<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The default template file for blogs.
 *
 */
/*! ** DO NOT EDIT THIS FILE! It will be overwritten when the theme is updated! ** */

function absolute_weaver_index( ) {

	$sb_layout = absolute_weaver_page_lead( 'blog', true );    // blog is archive for layout purposes

	absolute_weaver_set_cur_page_id( 0 );    // no page for this type

	if ( have_posts() ) {

		$pagedw = absolute_weaver_get_page();

		absolute_weaver_content_nav( 'nav-above' );

		$num_cols = absolute_weaver_getopt( 'blog_cols' );
		if ( ! $num_cols || $num_cols > 3 ) {
			$num_cols = 1;
		}

		$sticky_one = absolute_weaver_getopt_checked( 'blog_sticky_one' ) && $pagedw <= 1;
		$first_one = absolute_weaver_getopt_checked( 'blog_first_one' ) && $pagedw <= 1;
		$col = 0;

		/* Start the Loop */

		absolute_weaver_post_count_clear();

		echo( "<div class=\"wvrx-posts\">\n" );        // needed here, and all post loops to make content-n-col work with :nth-of-type

		while ( have_posts() ) {
			the_post();
			absolute_weaver_post_count_bump();

			if ( is_sticky() && $sticky_one ) {
				get_template_part( 'template-parts/content', get_post_format() );
			} elseif ( $first_one ) {
				get_template_part( 'template-parts/content', get_post_format() );
				$first_one = false;
			} else {
				switch ( $num_cols ) {
					case 1:
						get_template_part( 'template-parts/content', get_post_format() );
						$sticky_one = false;
						break;

					case 2:
						$col ++;
						echo( '<div class="content-2-col">' . "\n" );
						get_template_part( 'template-parts/content', get_post_format() );
						echo( "</div> <!-- content-2-col -->\n" );

						$sticky_one = false;
						break;

					case 3:
						$col ++;
						echo( '<div class="content-3-col">' . "\n" );
						get_template_part( 'template-parts/content', get_post_format() );
						echo( "</div> <!-- content-3-col -->\n" );

						$sticky_one = false;
						break;

					default:
						get_template_part( 'template-parts/content', get_post_format() );
						$sticky_one = false;
				}   // end switch num cols
			} /* end first one col */

		}    // end while have posts
		echo( "</div>\n" );

		absolute_weaver_content_nav( 'nav-below' );
	} else {
		absolute_weaver_not_found_search( __FILE__ );
	}

	absolute_weaver_page_tail( 'blog', $sb_layout );    // end of page wrap
}

absolute_weaver_index();

