<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 *  Specific page output template
 */
/*! ** DO NOT EDIT THIS FILE! It will be overwritten when the theme is updated! ** */

function absolute_weaver_search( ) {

	absolute_weaver_set_cur_page_id( 0 );    // no page for this type

	$sb_layout = absolute_weaver_page_lead( 'search', true );

// and next the content area.

	if ( have_posts() ) {
		// translators: %s is user defined search string
		$msg = apply_filters( 'absolute_weaver_search_results', esc_html__( 'Search Results for: %s', 'absolute-weaver' ) );
		$titlew = '<span class="title-search-label">' . sprintf( $msg, '</span><span class="archive-info">'
		                                                               . '"' . get_search_query() . '"</span>' );
		?>

		<header class="page-header">
			<?php absolute_weaver_archive_title( $titlew, 'search' ); ?>
		</header>

		<?php
		absolute_weaver_content_nav( 'nav-above', true );
		/* Start the Loop */

		absolute_weaver_post_count_clear();

		while ( have_posts() ) {

			the_post();
			absolute_weaver_post_count_bump();


			/* Include the Post-Format-specific template for the content.
			* If you want to overload this in a child theme then include a file
			* called content-___.php ( where ___ is the Post Format name ) and that will be used instead.
			*/
			get_template_part( 'template-parts/content', get_post_format() );

		}
		absolute_weaver_content_nav( 'nav-below', true );
	} else { ?>

		<article id="post-0" class="post no-results not-found">
			<header class="entry-header">
				<h1 class="page-title content-title entry-title title-search"><?php echo esc_html__( 'Nothing Found', 'absolute-weaver' ); ?></h1>
			</header><!-- .entry-header -->

			<?php
			if ( ! absolute_weaver_getopt( '_hide_not_found_search' ) ) { ?>

				<div class="entry-content clearfix">
					<p><?php echo esc_html__( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'absolute-weaver' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .entry-content -->
				<?php
			}
			?>
		</article><!-- #post-0 -->

	<?php }

	absolute_weaver_page_tail( 'search', $sb_layout );    // end of page wrap
}
absolute_weaver_search();

