<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 *   The Template for displaying all single posts.
 */
/*! ** DO NOT EDIT THIS FILE! It will be overwritten when the theme is updated! ** */

function absolute_weaver_single() {

	absolute_weaver_set_cur_page_id( 0 );    // no page for this type
	$sb_layout = absolute_weaver_page_lead( 'single' );

// generate page content


	$cats = absolute_weaver_getopt_checked( 'single_nav_link_cats' );
	while ( have_posts() ) {
		absolute_weaver_post_count_clear();
		the_post(); ?>
		<nav id="nav-above" class="navigation">
			<h3 class="assistive-text"><?php echo esc_html__( 'Post navigation', 'absolute-weaver' ); ?></h3>

			<?php if ( absolute_weaver_getopt( 'single_nav_style' ) == 'prev_next' ) { ?>
				<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . esc_html( _x( '&larr;', 'Previous post link', 'absolute-weaver' ) ) . '</span> ' . esc_html__( 'Previous', 'absolute-weaver'), $cats ); ?></div>

				<div class="nav-next"><?php next_post_link( '%link', esc_html__( 'Next', 'absolute-weaver') . ' <span class="meta-nav">' . esc_html( _x('&rarr;', 'Next Post link', 'absolute-weaver') ) . '</span>', $cats ); ?></div>

			<?php } elseif ( absolute_weaver_getopt( 'single_nav_style' ) == 'title' ) { ?>

				<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . esc_html( _x( '&larr;', 'Previous post link', 'absolute-weaver' ) ) . '</span> %title', $cats ); ?>
				</div>
				<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . esc_html( _x( '&rarr;', 'Next post link', 'absolute-weaver' ) ) . '</span>', $cats ); ?></div>

			<?php } ?>
		</nav><!-- #nav-above -->


		<?php get_template_part( 'template-parts/content', 'single' ); ?>


		<nav id="nav-below" class="navigation">
			<h3 class="assistive-text"><?php echo esc_html__( 'Post navigation', 'absolute-weaver' ); ?></h3>

			<?php if ( absolute_weaver_getopt( 'single_nav_style' ) == 'prev_next' ) { ?>
				<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . esc_html( _x( '&larr;', 'Previous post link', 'absolute-weaver' ) ) . '</span> ' . esc_html__( 'Previous', 'absolute-weaver'), $cats ); ?></div>

				<div class="nav-next"><?php next_post_link( '%link', esc_html__( 'Next', 'absolute-weaver') . ' <span class="meta-nav">' . esc_html( _x('&rarr;', 'Next Post link', 'absolute-weaver') ) . '</span>', $cats ); ?></div>

			<?php } elseif ( absolute_weaver_getopt( 'single_nav_style' ) == 'title' ) { ?>

				<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . esc_html( _x( '&larr;', 'Previous post link', 'absolute-weaver' ) ) . '</span> %title', $cats ); ?>
				</div>
				<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . esc_html( _x( '&rarr;', 'Next post link', 'absolute-weaver' ) ) . '</span>', $cats ); ?></div>

			<?php } ?>
		</nav><!-- #nav-below -->

		<?php comments_template( '', true );

	} // end of the loop.

	absolute_weaver_page_tail( 'single', $sb_layout );    // end of page wrap
}

absolute_weaver_single();

