<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The template used for displaying page content in page.php
 *
 * @package WordPress
 * @subpackage Weaver X
 * @since Absolute Weaver 1.0
 */


absolute_weaver_per_post_style();
absolute_weaver_fi( 'page', 'post-pre' );
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class( 'content-page' ); ?>>
		<?php absolute_weaver_page_title(); ?>

		<div class="entry-content clearfix">

			<?php absolute_weaver_the_page_content( 'page' );

			// sitemap specific code
			echo( "<div id=\"weaver-sitemap\">\n" );
			echo( "<div id='sitemap-pages'><h3>" . esc_html__( 'Pages', 'absolute-weaver' ) . "</h3><ul class='xoxo sitemap-pages'>\n" );
			$args = array( 'title_li' => false );
			if ( absolute_weaver_getopt( '_sitemap_exclude_pages' ) != '' ) {
				$args['exclude'] = str_replace( ' ', '', absolute_weaver_getopt( '_sitemap_exclude_pages' ) );
			}
			wp_list_pages( $args );
			echo( "</ul></div>\n" );

			echo( "<div id='sitemap-posts'><br /><h3>" . esc_html__( 'Posts', 'absolute-weaver' ) . "</h3><ul class='xoxo sitemap-pages-month'>\n" );
			wp_get_archives( array( 'type' => 'monthly', 'show_post_count' => true ) );
			echo( "</ul></div>\n" );

			if ( ! absolute_weaver_getopt( 'post_hide_categories' ) ) {
				echo( "<div id='sitemap-categories'><br /><h3>" . esc_html__( 'Categories', 'absolute-weaver' ) . "</h3><ul class='xoxo sitemap-categories'>\n" );
				wp_list_categories( array( 'show_count' => true, 'use_desc_for_title' => true, 'title_li' => false ) );
				echo( "</ul></div>\n" );
			}


			if ( ! absolute_weaver_getopt( 'post_hide_tags' ) ) {

				echo( "<div id='sitemap-tags'><br /><h3>" . esc_html__( 'Tag Cloud', 'absolute-weaver' ) . "</h3><ul class='xoxo sitemap-tag'>\n" );
				wp_tag_cloud( array( 'number' => 0 ) );
				echo( "</ul></div>\n" );
			}

			if ( ! absolute_weaver_getopt( 'post_hide_author' ) ) {
				echo( "<div id='sitemap-authors'><br /><h3>" . esc_html__( 'Authors', 'absolute-weaver' ) . "</h3><ul class='xoxo sitemap-authors'>\n" );
				wp_list_authors( array( 'exclude_admin' => false, 'optioncount' => true, 'title_li' => false ) );
				echo( "</ul></div>\n" );
			}

			echo( "</div><!-- weaver-sitemap -->\n" );

			?>
		</div><!-- .entry-content -->
		<footer class="entry-utility-page">
			<?php
			absolute_weaver_edit_link();
			?>
		</footer><!-- .entry-utility-page -->
	</article><!-- #post-<?php the_ID(); ?> -->
<?php


