<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
/**
 * The default template for displaying content
 *
 * This will display unmatched post-type blog posts from main blog page and archive-type pages
 * Note - if you are building a custom content-xxx.php page for a custom post type, you should
 * be sure that Feature Images are processed correctly via absolute_weaver_the_post_full().
 *
 * @package WordPress
 * @subpackage Weaver X
 * @since Absolute Weaver 1.0
 */

absolute_weaver_per_post_style();

$absolute_weaver_me = ( absolute_weaver_do_excerpt() ) ? 'post_excerpt' : 'post_full';

absolute_weaver_fi( $absolute_weaver_me, 'post-pre' );

// -------------------------------------------------- REGULAR POSTS ---------------------------------------
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class( 'content-default ' . absolute_weaver_post_class() ); ?>><!-- POST: standard -->
		<header class="entry-header">
			<?php
			absolute_weaver_entry_header( '', absolute_weaver_do_excerpt() );

			absolute_weaver_post_top_meta( '' );

			?>
		</header><!-- .entry-header -->

		<?php

		if ( absolute_weaver_show_only_title() ) {        // -------------------- TITLE ONLY? --------------------
			return;
		}

		if ( absolute_weaver_do_excerpt() ) {                    // -------------------- EXCERPT ------------------------
			absolute_weaver_post_div( 'summary' );
			absolute_weaver_the_post_excerpt();
			?>
			</div><!-- .entry-summary -->
			<?php
		} else {                                // ------------------ FULL POST ------------------------
			absolute_weaver_post_div( 'content' );
			absolute_weaver_the_post_full();
			absolute_weaver_link_pages();                // <!--nextpage-->
			?>
			</div><!-- .entry-content -->
			<?php
		} ?>

		<footer class="entry-utility"><!-- bottom meta -->
			<?php
			absolute_weaver_post_bottom_info();
			?>
		</footer><!-- #entry-utility -->
		<div class="clear-post-end" style="clear:both;"></div>
	</article><!-- /#post-<?php the_ID(); ?> -->

<?php
// need the trailing clear:both instead of clarfix on the article to make outside FIs work right
