<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly


if ( absolute_weaver_getopt( 'infobar_hide' ) != 'hide' ) { // let's really not include it rather than display:none.

	$c_class = absolute_weaver_area_class( 'infobar', 'not-pad', '-none', 'margin-none' );
	?>

	<div id="infobar" class="<?php echo esc_attr( $c_class ); ?>">
		<?php
		if ( ! absolute_weaver_getopt_checked( 'info_hide_breadcrumbs' ) ) {
			$absolute_weaver_crumbs = '';
			if ( has_action( 'absolute_weaver_breadcrumbs' ) ) {        // allow anyone to override breadcrumbs via action
				do_action( 'absolute_weaver_breadcrumbs' );
			} else {
				if ( function_exists( 'yoast_breadcrumb' ) ) {
					$absolute_weaver_crumbs = yoast_breadcrumb( '  <span id="breadcrumbs">', '</span>', false );
				}
				if ( $absolute_weaver_crumbs ) {
					echo wp_kses_post( $absolute_weaver_crumbs );
				}            // $absolute_weaver_crumbs generated by trusted plugins, contain un-escapable HTML tags
				else {
					absolute_weaver_breadcrumb();
				}
			}
		} else {
			echo '  <span id="breadcrumbs"></span>';  // need to get area height
		}
		?>

		<span class='infobar_right'>

			<?php

			if ( isset( $GLOBALS['absolute_weaver_page_who'] ) ) {
				$pwp = $GLOBALS['absolute_weaver_page_who'] == 'pwp';
			}

			if ( ! absolute_weaver_getopt_checked( 'info_hide_pagenav' ) ) {
				echo( '<span id="infobar_paginate">' );
				if ( has_action( 'absolute_weaver_paginate' ) ) {        // allow anyone to override bradcrumbs via action
					do_action( 'absolute_weaver_paginate' );
				} else {
					if ( $pwp || ! is_singular() ) {
						if ( function_exists( 'wp_pagenavi' ) ) {
							wp_pagenavi();
						} elseif ( function_exists( 'wp_paginate' ) ) {
							wp_paginate( 'title=' );
						} else {
							echo wp_kses_post( absolute_weaver_get_paginate_archive_page_links( 'plain', 2, 2 ) );
						}
					}
				}
				echo( "</span>\n" );
			}

			if ( absolute_weaver_getopt( 'info_search' ) ) {
				echo '<span id="infobar_search" class="menu-search">&nbsp;' . get_search_form( false ) . '&nbsp;</span>';
			}

			if ( absolute_weaver_getopt_checked( 'info_addlogin' ) ) {
				echo '<span id="infobar_login">';
				wp_loginout();
				echo '</span>';
			}
			?>
			</span></div>
	<div class="clear-info-bar-end" style="clear:both;">
	</div><!-- #infobar -->

	<?php
} // show info bar


