<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

// note - the default menu is handled in absolute_weaver_page_menu__cb() in filters.php

if ( absolute_weaver_getopt( 'm_primary_hide' ) != 'hide' ) {

	$menuw = apply_filters( 'absolute_weaver_menu_name', 'primary' );

	absolute_weaver_clear_both( 'menu-primary' );

	$class = absolute_weaver_menu_class( 'm_primary' );

	$logo = '';

	if ( absolute_weaver_getopt( 'm_primary_logo_left' ) ) {
		$custom_logo_url = absolute_weaver_get_wp_custom_logo_url();
		// We have a logo. Logo is go.
		if ( $custom_logo_url ) {
			if ( absolute_weaver_getopt( 'm_primary_logo_home_link' ) ) {
				$logo = apply_filters( 'absolute_weaver_menu_logo', '<span class="custom-logo-on-menu"><a href="' . esc_url( home_url() ) . '><img src="' . $custom_logo_url . '" alt="' . esc_attr__( 'Site Home', 'absolute-weaver' ) . '"/></a></span>', $custom_logo_url );    // +since: 3.1.10: add alt=
			} else {
				$logo = apply_filters( 'absolute_weaver_menu_logo', '<span class="custom-logo-on-menu"><img src="' . $custom_logo_url . '" alt="' . esc_attr__( 'logo', 'absolute-weaver' ) . '"/></span>', $custom_logo_url );
			}
		}
	}

	$site_title = '';

	if ( absolute_weaver_getopt( 'm_primary_site_title_left' ) ) {

		$classt = 'site-title-on-menu wvrx-menu-html wvrx-menu-left';

		// font-family
		$val = absolute_weaver_getopt( 'site_title_font_family' );
		if ( $val && 'default' != $val ) {
			$classt .= ' font-' . $val;
		}

		$classt .= absolute_weaver_get_bold_italic( 'site_title', 'bold' );
		$classt .= absolute_weaver_get_bold_italic( 'site_title', 'italic' );

		$site_title = '<span class="' . $classt . '"><a href="' . esc_url( home_url() ) . '">' . get_bloginfo( 'name' ) . '</a></span>';
	}

	$left = absolute_weaver_getopt( 'm_primary_html_left' );
	$right = absolute_weaver_getopt_default( 'm_primary_html_right', '' );


	if ( $left ) {
		$hide = ' ' . absolute_weaver_getopt( 'm_primary_hide_left' );
		$left = '<span class="wvrx-menu-html wvrx-menu-left' . $hide . '">' . do_shortcode( $left ) . '</span>';
		$left = str_replace( '%', '%%', $left );    // wp_nav_menu uses sprintf! This will almost always fix the issue.
	} elseif ( is_customize_preview() ) {
		$hide = ' ' . absolute_weaver_getopt( 'm_primary_hide_left' );
		$left = '<span class="wvrx-menu-html wvrx-menu-left' . $hide . '"></span>';
	}

	if ( $right ) {
		$hide = ' ' . absolute_weaver_getopt( 'm_primary_hide_right' );
		$right = '<span class="wvrx-menu-html wvrx-menu-right ' . $hide . '">' . do_shortcode( $right ) . '</span>';
		$right = str_replace( '%', '%%', $right );    // wp_nav_menu uses sprintf!
	} elseif ( is_customize_preview() ) {
		$hide = ' ' . absolute_weaver_getopt( 'm_primary_hide_right' );
		$right = '<span class="wvrx-menu-html wvrx-menu-right ' . $hide . '"></span>';
	}

	if ( absolute_weaver_getopt_checked( 'm_primary_search' ) ) {
		$right = '<span class="menu-search">&nbsp;' . get_search_form( false ) . '&nbsp;</span>' . $right;
	}

	$left = $logo . $site_title . $left;

	if ( absolute_weaver_getopt( 'use_smartmenus' ) ) {                            // ==================  SMART MENUS ( make any changes in default menu version, too in filters.php )
		$hamburger = apply_filters( 'absolute_weaver_mobile_menu_name', absolute_weaver_getopt( 'm_primary_hamburger' ) );

		if ( $hamburger == '' ) {
			$alt = absolute_weaver_getopt( 'mobile_alt_label' );
			if ( $alt == '' ) {
				$hamburger = '<span class="genericon genericon-menu"></span>';
			} else {
				$hamburger = '<span class="menu-toggle-menu">' . $alt . '</span>';
			}
		}

		if ( absolute_weaver_getopt('mobile_to_right') ) {
			$right = $right . '<span style="float:right; padding-right:.5em; margin-right: 0;" class="wvrx-menu-button">' . "{$hamburger}</span>";
		} else {
			$left = '<span class="wvrx-menu-button">' . "{$hamburger}</span>{$left}";
		}
	}

	$menu_class = apply_filters( 'absolute_weaver_menu_class', 'weaverx-theme-menu wvrx-menu menu-hover', 'primary' );

	$align = absolute_weaver_getopt( 'm_primary_align' );

	switch ( $align ) {        // add classes for alignment and fixed top
		case 'left':
		case 'alignwide left':
		case 'alignfull left':
			$menu_class .= ' menu-alignleft';
			break;
		case 'center':
		case 'alignwide center':
		case 'alignfull center':
			$menu_class .= ' wvrx-center-menu';
			break;
		case 'right':
		case 'alignwide right':
		case 'alignfull right':
			$menu_class .= ' menu-alignright';
			break;
		default:
			$menu_class .= ' menu-alignleft';
	}

	if ( absolute_weaver_getopt( 'm_primary_move' ) ) {
		$nav_class = 'menu-primary menu-primary-moved menu-type-standard';
	} else {
		$nav_class = 'menu-primary menu-primary-standard menu-type-standard';
	}

	if ( absolute_weaver_getopt( 'm_primary_fixedtop' ) == 'fixed-top' ) {
		$class .= ' wvrx-fixedtop';
		$nav_class .= ' wvrx-primary-fixedtop';
	}

	echo "\n\n" . '<div id="nav-primary" class="' . esc_attr( $nav_class ) . '"';
	echo ">\n";

	$args = array(
		'fallback_cb'     => 'absolute_weaver_page_menu_cb',
		'theme_location'  => $menuw,
		'menu_class'      => $menu_class,
		'container'       => 'div',
		'container_class' => 'wvrx-menu-container ' . $class,
		'items_wrap'      => $left . $right .
		                     '<div class="wvrx-menu-clear"></div><ul id="%1$s" class="%2$s">%3$s</ul><div style="clear:both;"></div>',
	);


	$locations = get_nav_menu_locations();  // note - the default menu is handled in absolute_weaver_page_menu_cb() in filters.php
	if ( isset( $locations[ $menuw ] ) ) {
		$the_menu = wp_get_nav_menu_object( $locations[ $menuw ] );
		if ( ! empty( $the_menu ) ) {
			$args['fallback_cb'] = '';
			$args['walker'] = new absolute_weaver_Walker_Nav_Menu();
		}
	}


	wp_nav_menu( $args );

	echo "</div><div class='clear-menu-primary-end' style='clear:both;'></div><!-- /.menu-primary -->\n\n";


}


