<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

if ( ! function_exists( 'absolute_weaver_get_default_settings' ) ) {

	function absolute_weaver_get_default_settings() {
		// This function loads the settings for the default theme. None of the settings are saved, so this meets
		// the WP theme requirements of not touching the DB until the user clicks something.

		global $absolute_weaver_opts_cache;
		$absolute_weaver_opts_cache = absolute_weaver_default_subtheme_settings();
		return $absolute_weaver_opts_cache;
	}

	function absolute_weaver_default_subtheme_settings() {
		// default subtheme is Absolutely
		return json_decode( '{"themename":"Absolutely","theme_description":"Modern, full width theme with fixed top menu.","subtheme_notes":"The base theme has the Header Image, Title, Tagline, and Mini-Menu hidden. You can use the Visibility options to unhide them.","theme-file-name":"absolutely","last_option":"Absolute Weaver","style_date":"2019-10-05-23:32:22","style_version":57,"use_smartmenus":true,"m_primary_fixedtop":"fixed-top","m_primary_move":1,"m_primary_color":"#000000","m_primary_bgcolor":"#f2f2f2","m_primary_link_bgcolor":"inherit","m_primary_hover_color":"#000000","m_primary_hover_bgcolor":"#e5e5e5","m_primary_sub_color":"#000000","m_primary_sub_hover_bgcolor":"#a5a5a5","m_primary_sub_bgcolor":"#afafaf","m_header_mini_color":"#000000","m_header_mini_hover_color":"#6d6d6d","menubar_curpage_bgcolor":"inherit","m_retain_hover":1,"settings_version":"AbsWvr:1.0","m_primary_align":"alignfull right","m_primary_site_title_left":1,"mobile_to_right":1,"header_sb_cols_int":2,"header_sb_position":"top","m_primary_logo_height_dec":1.5,"mobile_alt_switch":767,"page_cols":"1","excerpt_length":40,"post_cols":"1","blog_cols":"1","nav_style":"old_new","single_nav_style":"title","layout_default":"right","layout_default_archive":"right","layout_page":"default","layout_blog":"one-column","layout_single":"default","layout_attachments":"default","layout_archive":"default","layout_category":"default","layout_tag":"default","layout_author":"default","layout_search":"default","primary_cols_int":1,"secondary_cols_int":1,"footer_sb_cols_int":3,"site_fontsize_int":16,"site_line_height_dec":1.5,"site_fontsize_tablet_int":16,"site_fontsize_phone_int":16,"custom_fontsize_a":1,"custom_fontsize_b":1,"font_letter_spacing_global_dec":0,"font_word_spacing_global_dec":0,"media_lib_border_color":"inherit","media_lib_border_int":0,"caption_color":"inherit","header_image_align":"alignwide","header_image_render":"header-as-img","header_min_height":0,"header_image_max_width_dec":100,"header_image_height_int":10,"header_logo_height_dec":32,"page_fi_location":"content-top","page_min_height":0,"page_fi_align":"fi-alignleft","page_fi_hide":"hide-none","page_fi_size":"thumbnail","page_fi_width":0,"post_avatar_int":28,"post_full_fi_location":"content-top","post_blog_min_height":0,"post_full_fi_align":"fi-alignleft","post_full_fi_hide":"hide-none","post_full_fi_size":"thumbnail","post_full_fi_width":0,"post_excerpt_fi_location":"content-top","post_excerpt_fi_align":"fi-alignleft","post_excerpt_fi_hide":"hide-none","post_excerpt_fi_size":"thumbnail","post_excerpt_fi_width":0,"post_fi_location":"content-top","post_min_height":0,"post_fi_align":"fi-alignleft","post_fi_hide":"hide-none","post_fi_size":"thumbnail","post_fi_width":0,"header_hide":"hide-none","hide_site_title":"hide","hide_site_tagline":"hide","hide_header_image":"hide-none","hide_wp_site_logo":"hide","header_sb_hide":"hide-none","header_html_hide":"hide-none","header_search_hide":"hide","m_primary_hide":"hide-none","m_primary_hide_right":"hide-none","m_header_mini_hide":"hide-none","infobar_hide":"hide-none","show_post_avatar":"hide","primary_hide":"hide-none","secondary_hide":"hide-none","footer_hide":"hide-none","footer_sb_hide":"hide-none","footer_html_hide":"hide-none","body_bgcolor":"inherit","wrapper_color":"inherit","wrapper_bgcolor":"inherit","container_color":"inherit","container_bgcolor":"inherit","link_color":"#1e73be","link_hover_color":"#c13262","ibarlink_color":"inherit","ibarlink_hover_color":"inherit","contentlink_color":"inherit","contentlink_hover_color":"inherit","ilink_color":"inherit","ilink_hover_color":"inherit","wlink_color":"inherit","wlink_hover_color":"inherit","footerlink_color":"inherit","footerlink_hover_color":"inherit","header_color":"inherit","header_bgcolor":"inherit","site_title_color":"inherit","site_title_bgcolor":"inherit","tagline_color":"inherit","tagline_bgcolor":"inherit","title_tagline_bgcolor":"inherit","header_sb_color":"inherit","header_sb_bgcolor":"inherit","header_html_color":"inherit","header_html_bgcolor":"inherit","m_primary_html_color":"inherit","m_primary_sub_hover_color":"inherit","m_primary_clickable_bgcolor":"inherit","m_primary_dividers_color":"inherit","m_header_mini_bgcolor":"inherit","menubar_curpage_color":"inherit","infobar_color":"inherit","infobar_bgcolor":"#f2f2f2","content_color":"inherit","content_bgcolor":"inherit","page_title_color":"inherit","page_title_bgcolor":"inherit","archive_title_color":"inherit","archive_title_bgcolor":"inherit","content_h_color":"inherit","content_h_bgcolor":"inherit","input_color":"inherit","input_bgcolor":"inherit","search_color":"inherit","search_bgcolor":"inherit","hr_color":"inherit","comment_headings_color":"inherit","comment_content_bgcolor":"inherit","comment_submit_bgcolor":"inherit","editor_bgcolor":"inherit","post_color":"inherit","post_bgcolor":"inherit","stickypost_bgcolor":"inherit","post_title_color":"inherit","post_title_bgcolor":"inherit","post_title_hover_color":"inherit","post_info_top_color":"inherit","post_info_top_bgcolor":"inherit","post_info_bottom_color":"inherit","post_info_bottom_bgcolor":"inherit","post_icons_color":"inherit","post_author_bgcolor":"inherit","primary_color":"inherit","primary_bgcolor":"inherit","secondary_color":"inherit","secondary_bgcolor":"inherit","widget_color":"inherit","widget_bgcolor":"inherit","widget_title_color":"inherit","widget_title_bgcolor":"inherit","footer_color":"inherit","footer_bgcolor":"#e5e5e5","footer_sb_color":"inherit","footer_sb_bgcolor":"#d6d6d6","footer_html_color":"inherit","footer_html_bgcolor":"inherit","theme_width_int":1200,"smart_margin_int":1,"m_primary_extend_width":"0","wrapper_padding_T":0,"wrapper_padding_B":0,"wrapper_padding_L":0,"wrapper_padding_R":0,"wrapper_margin_T":0,"wrapper_margin_B":0,"container_width_int":100,"container_max_width_int":0,"container_align":"float-left","container_padding_T":0,"container_padding_B":0,"container_padding_L":0,"container_padding_R":0,"container_margin_T":0,"container_margin_B":0,"header_width_int":100,"header_max_width_int":0,"header_align":"align-center","header_padding_T":0,"header_padding_B":0,"header_padding_L":0,"header_padding_R":0,"header_margin_T":0,"header_margin_B":0,"site_title_position_xy_X":10,"site_title_position_xy_Y":1.75,"site_title_max_w":90,"tagline_xy_X":12.75,"tagline_xy_Y":-1,"tagline_max_w":90,"title_tagline_xy_T":0,"title_tagline_xy_B":0,"header_sb_width_int":0,"header_sb_align":"align-center","header_sb_padding_T":5,"header_sb_padding_B":0,"header_sb_padding_L":20,"header_sb_padding_R":20,"header_sb_margin_T":0,"header_sb_margin_B":0,"header_html_width_int":100,"header_html_align":"align-center","header_html_padding_T":0,"header_html_padding_B":0,"header_html_padding_L":0,"header_html_padding_R":0,"header_html_margin_T":0,"header_html_margin_B":0,"m_primary_menu_bar_pad_dec":0.4,"m_primary_top_margin_dec":"0","m_primary_bottom_margin_dec":"0","m_primary_right_padding_dec":"0","m_primary_html_margin_dec":0,"m_header_mini_top_margin_dec":0.75,"infobar_width_int":100,"infobar_align":"alignwide","infobar_padding_T":5,"infobar_padding_B":5,"infobar_padding_L":5,"infobar_padding_R":5,"infobar_margin_T":0,"infobar_margin_B":20,"content_padding_T":4,"content_padding_B":8,"content_padding_L":2,"content_padding_R":2,"content_margin_T":0,"content_margin_B":0,"space_after_title_dec":1,"content_p_list_dec":1.5,"content_block_margin_T":1.2,"content_block_margin_B":1.5,"post_padding_T":0,"post_padding_B":0,"post_padding_L":0,"post_padding_R":0,"post_margin_T":0,"post_margin_B":15,"post_title_bottom_margin_dec":0.2,"left_sb_width_int":25,"right_sb_width_int":25,"left_split_sb_width_int":25,"right_split_sb_width_int":25,"primary_padding_T":0,"primary_padding_B":0,"primary_padding_L":0,"primary_padding_R":0,"primary_margin_T":0,"primary_margin_B":10,"secondary_padding_T":0,"secondary_padding_B":0,"secondary_padding_L":0,"secondary_padding_R":0,"secondary_margin_T":0,"secondary_margin_B":10,"widget_padding_T":0,"widget_padding_B":0,"widget_padding_L":0,"widget_padding_R":0,"widget_margin_T":0,"widget_margin_B":0,"footer_width_int":100,"footer_max_width_int":0,"footer_align":"alignfull","footer_padding_T":8,"footer_padding_B":8,"footer_padding_L":8,"footer_padding_R":8,"footer_margin_T":0,"footer_margin_B":0,"footer_sb_width_int":0,"footer_sb_align":"alignwide","footer_sb_padding_T":8,"footer_sb_padding_B":8,"footer_sb_padding_L":20,"footer_sb_padding_R":20,"footer_sb_margin_T":0,"footer_sb_margin_B":0,"footer_html_width_int":100,"footer_html_align":"align-center","footer_html_padding_T":0,"footer_html_padding_B":0,"footer_html_padding_L":0,"footer_html_padding_R":0,"footer_html_margin_T":0,"footer_html_margin_B":0,"border_color":"inherit","border_width_int":1,"border_style":"solid","rounded_corners_radius":8,"wrapper_shadow":"-0","wrapper_rounded":"none","container_shadow":"-0","container_rounded":"none","header_shadow":"-0","header_sb_shadow":"-0","header_html_shadow":"-0","header_rounded":"none","header_sb_rounded":"none","header_html_rounded":"none","m_primary_shadow":"-0","m_primary_rounded":"none","placeholder_cursor":"pointer","infobar_shadow":"-1","infobar_rounded":"none","content_shadow":"-0","content_rounded":"none","page_title_underline_int":0,"contentlist_bullet":"disc","absolute_weaver_tables":"default","post_shadow":"-0","post_rounded":"none","post_icons":"text","post_title_underline_int":0,"primary_shadow":"-0","primary_rounded":"none","secondary_shadow":"-0","secondary_rounded":"none","widget_shadow":"-0","widget_rounded":"none","widget_title_underline_int":0,"widgetlist_bullet":"disc","footer_shadow":"-0","footer_sb_shadow":"-0","footer_html_shadow":"-0","footer_rounded":"none","footer_sb_rounded":"none","footer_html_rounded":"none","elementor_primary_color":"inherit","elementor_secondary_color":"inherit","elementor_text_color":"inherit","elementor_accent_color":"inherit","m_primary_border":1,"m_primary_sub_border":1,"m_primary_logo_left":1,"expand_header":"0","expand_header-image":"0","m_primary_logo_home_link":"0","m_primary_search":1,"wrapper_font_family":"roboto","container_font_family":"inherit","header_font_family":"roboto-slab","site_title_normal":"0","site_title_italic":"off","tagline_font_size":"xxs-font-size","m_primary_bold":"on","m_header_mini_bold":"on","menubar_curpage_em":"0","menubar_curpage_noancestors":"0","title_over_image":"0","footer_extend_width":"0","infobar_extend_width":"0","infobar_border":"0","theme_filename":"absolutely","wp_css":""}', true );
	}

}

